Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transaction Notification API

Submit token transaction details

put

This method is used by TSP to send the detailed result of a transaction from a token

Path parameters
transactionIdstring · min: 1 · max: 64Required

Transaction identifier

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

x-wallet-indicatornumberOptional

Indicator used to specify which wallet type performed the transaction.
Possible values are:

  • 1 for Apple Pay
  • 2 for Google Pay
  • 3 for Samsung Pay
  • 4 for Huawei Pay
  • 5 for HCE Issuer Wallets
Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

tokenIdstring · min: 1 · max: 48Required

Unique token identifier.For Apple Pay International Card Scheme transactions, ICS DPANID shall be used.

Responses
204

successful

No content

put/token-transactions/{transactionId}
PUT /tns-dispatcher/tsh/tnapi/v1.0/token-transactions/{transactionId} HTTP/1.1
Host: api.dbp.thalescloud.io
x-request-id: text
Content-Type: application/json
Accept: */*
Content-Length: 446

{
  "issuerId": "text",
  "tokenId": "text",
  "transactionInfo": {
    "transactionType": "PURCHASE",
    "transactionResult": "APPROVED",
    "transactionResultReason": 1,
    "linkedTransactionId": "text",
    "transactionIdentifier": "text",
    "totalAmount": 1,
    "currency": "text",
    "merchant": "text",
    "rawMerchantName": "text",
    "merchantCity": "text",
    "merchantZip": "text",
    "merchantCountryCode": "text",
    "industryCategory": "text",
    "industryCode": "text",
    "transactionDate": "2026-01-01T00:00:00.000Z"
  }
}

No content

Submit card transaction details

put

This method is used by TSP to send the detailed result of a transaction from a funding card

Path parameters
transactionIdstring · min: 1 · max: 64Required

Transaction identifier

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

cardIdstring · min: 1 · max: 64Required

Identifier of the funding card

Responses
204

successful

No content

put/card-transactions/{transactionId}
PUT /tns-dispatcher/tsh/tnapi/v1.0/card-transactions/{transactionId} HTTP/1.1
Host: api.dbp.thalescloud.io
x-request-id: text
Content-Type: application/json
Accept: */*
Content-Length: 385

{
  "issuerId": "text",
  "cardId": "text",
  "transactionInfo": {
    "transactionType": "PURCHASE",
    "transactionResult": "APPROVED",
    "transactionResultReason": 1,
    "totalAmount": 1,
    "currency": "text",
    "merchant": "text",
    "rawMerchantName": "text",
    "merchantCity": "text",
    "merchantZip": "text",
    "merchantCountryCode": "text",
    "industryCategory": "text",
    "industryCode": "text",
    "transactionDate": "2026-01-01T00:00:00.000Z"
  }
}

No content

Last updated

Was this helpful?